Ошибка в Playframework 2.1.x

Я пытаюсь добавить базу данных в мое приложение для платформы, но у меня есть несколько проблем. Я использовал шаблон (из Typesafe Activator) под названием "hello-play-2_3-scala". Я всегда получаю сообщение об ошибке, если пытаюсь вставить 'import play.api.db._'. Я просмотрел эту инструкцию для базы данных воспроизведения, но главная проблема заключается в том, что у меня нет файла Build.scala в папке проекта. Также я не могу создать один раз, просто файлы Java (я использую Intellj Idea). Я надеюсь, что кто-то может мне помочь.

Благодарю!

Приветствую Хриба.

1 ответ

Вы должны добавить зависимость jdbc внутри файла build.sbt. Он должен выглядеть так:

name := """hello-play-2_3-scala"""

version := "1.0-SNAPSHOT"

libraryDependencies ++= Seq(
 PlayKeys.jdbc,
 "org.webjars" %% "webjars-play" % "2.3-M1",
 "org.webjars" % "bootstrap" % "2.3.1",
 "org.webjars" % "requirejs" % "2.1.11-1"
)

lazy val root = (project in file(".")).addPlugins(PlayScala)

licensed under cc by-sa 3.0 with attribution.